Subject: bug#21329: 25.0.50; Flyspell minor mode produces weird effects on keyboard macros

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Aug 2015 19:22:05 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 29 Aug 2015 11:31:35 -0400
> 
> >> One possible problem is that input-pending-p might return t in cases where
> >> the pending input is "not significant", in the sense that read-event
> >> won't return it (maybe because it will consume it internally as in the
> >> case of event bounds to special-event-map, IIRC).
> > I thought about ignoring out these kinds of input in the loop that
> > waits.
> 
> Then you have another side-effect, which is to delay the processing of
> those events.

But that's a problem we already have, since read-event doesn't return
them, right?  Or am I missing something?

> So instead of ignoring them it should process them.

If that's what read-event does, then yes.

> That's why I think we'd want to "simply" extract all that read-event
> does upto (not not including) the actual consumption (and return) of
> the event.

No sure I'm following you: the first thing read-event does is call
read_char, so how can we avoid reading events that way?